Skip to main content
`Ctrl`+`K`

# PetscShmgetUnmapAddresses

given shared addresses on a MPI process unlink it

## Synopsis

    PetscErrorCode PetscShmgetUnmapAddresses(PetscInt n, void **addres) PeNS

## Input Parameters

- n - the number of addresses, each obtained on MPI process zero by `PetscShmgetAllocateArray()`

- addres - the addresses

## Note

This routine does nothing if `PETSC_HAVE_SHMGET` is not defined

## See Also

`PetscShmgetDeallocateArray()`, `PetscShmgetAllocateArray()`, `PetscShmgetMapAddresses()`

## Level

developer

## Location

src/sys/utils/server.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages